#include "chdecl.h"
void CH_disassembler_disoperand(current, sched, cop)
#define ARGUMENTS 5
#include "chhead.h"
select: switch (SELECTOR) {
    case 0: goto c0;
    case 1: goto cb1;
    case 2: goto c2;
    case 3: goto c13;
    case 4: goto cb20;
    case 5: goto c21;
    case 6: goto c23;
    case 7: goto c26;
    case 8: goto c28;
    case 9: goto c32;  }
c0:
/* block , 0 */
  if((ch_returncode = che_block(QUAL(0),sched)) != Normal)
     goto ch_raise_exception;
  current->ip = 1;
cb1:
/* receive 3 0 */
  if ((ch_returncode = che_receive(DEF(3),DEF(0),sched)) != Normal)
     goto ch_raise_exception;
  return;
c2:
/* boolean 4 , TRUE */
  REF(4).value.boolean = TRUE;
  REF(4).tsdr = & dr_boolean;
/* new_table 5 , 1 */
  if ((ch_returncode = che_new_table(DEF(5),QUAL(1),sched)) != Normal) 
     goto ch_raise_exception;
/* boolean 6 , FALSE */
  REF(6).value.boolean = FALSE;
  REF(6).tsdr = & dr_boolean;
/* initget 7 3.1 , 0,0 */
  (*(REF(7).tsdr)->finalize)(REF(7).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(7),DEF(3)DOT(1),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
/* get_or_goto 7 3.1 , 9 */
  if ((ch_returncode = get_selected_object(DEF(7),DEF(3)DOT(1)
    ,sched)) != Normal) goto c9;
/* boolean 6 , TRUE */
  REF(6).value.boolean = TRUE;
  REF(6).tsdr = & dr_boolean;
c9:
/* endget 7 3.1 */
  end_selector(DEF(7),DEF(3)DOT(1),sched,GET);
/* branch_false 6 , 26 */
  if ( !REF(6).value.boolean ) goto c26;
/* copy 8 3.1 */
  if((ch_returncode = cp_table(& ch_val, REF(3)DOT(1).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(8).tsdr)->finalize)(REF(8).value,F_DISCARD,sched);
  REF(8).value = ch_val;
  REF(8).tsdr = & dr_table;
/* initget 9 8 , 0,0 */
  (*(REF(9).tsdr)->finalize)(REF(9).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(9),DEF(8),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c13:
/* get_or_goto 9 8 , 23 */
  if ((ch_returncode = get_selected_object(DEF(9),DEF(8),sched)) != Normal)
     goto c23;
/* branch_false 4 , 18 */
  if ( !REF(4).value.boolean ) goto c18;
/* boolean 4 , FALSE */
  REF(4).value.boolean = FALSE;
  REF(4).tsdr = & dr_boolean;
/* branch , 20 */
   goto c20;
c18:
/* ordenum_lit 10 , 46 */
  REF(10).value.ord_enum = 46;
  REF(10).tsdr = & dr_ord_enumeration;
/* insert 5 10 */
  if ((ch_returncode = insertfunc(DEF(5),DEF(10),FALSE,0)) != Normal)
     goto ch_raise_exception;
c20:
  current->ip = 4;
cb20:
/* call 3.0.6 9 11 , 2 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(0)DOT(6),
          arguments[1] = DEF(9),
          arguments[2] = DEF(11),
          arguments[2+1] = nil,& arguments[0]),QUAL(2),sched)) != Normal)
     goto ch_raise_exception;
  return;
c21:
/* merge 5 11 */
  if ((ch_returncode = mergefunc(DEF(5),DEF(11),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 13 */
   goto c13;
c23:
/* endget 9 8 */
  end_selector(DEF(9),DEF(8),sched,GET);
/* discard 8 */
  (*(REF(8).tsdr)->finalize)(REF(8).value,F_DISCARD,sched);
  REF(8).tsdr = & dr_bottom;
/* branch , 28 */
   goto c28;
c26:
/* ordenum_lit 12 , 42 */
  REF(12).value.ord_enum = 42;
  REF(12).tsdr = & dr_ord_enumeration;
/* insert 5 12 */
  if ((ch_returncode = insertfunc(DEF(5),DEF(12),FALSE,0)) != Normal)
     goto ch_raise_exception;
c28:
/* move 3.2 5 */
  (*(REF(3)DOT(2).tsdr)->finalize)(REF(3)DOT(2).value,F_DISCARD,sched);
  REF(3)DOT(2) = REF(5);
  REF(5).tsdr = & dr_bottom;
/* return 3 */
  if (ch_caller = do_return(REF(3).value)) {
    if (ch_caller->type < CProcess) ch_caller->ip++;
      sched->wakeup_proc(sched, ch_caller);}
  else rem_return(REF(3).value);
  REF(3).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
c32:
/* endprocess */
  che_endprocess(sched); return;
#include "chtail.h"
